Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category: Command
Created: 2011-12-18 Assigned To: Sebastian Kurfuerst
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity: no-brainer
Affected Flow version: FLOW3 1.0.1
Subject: flow3:doctrine:migrationgenerate should return better explanations
Description

Instead of:
Generated new migration class to ...

the command output should read something like:

Generated new migration class!

Next Steps:
- Move ... to YourPackage/Migrations/Mysql/
- Review and adjust the generated migration.
- (optional) execute the generated migration using ./flow3 doctrine:migrate

As this is much more understandable, and less error-prone, especially to new users.

Related issues:
related to TYPO3.Flow - Task # 32729: Enhance help texts and parameter names ... Resolved 2011-12-20

Associated revisions
Revision f0d37738 - 2011-12-18 14:23 - Sebastian Kurfuerst

[BUGFIX] (Command): Improve explanations of doctrine:migrationgenerate

Instead of:
Generated new migration class to ...

the command output now reads like:
Generated new migration class!
Next Steps:
    - Move ... to YourPackage/Migrations/Mysql/
    - Review and adjust the generated migration.
    - (optional) execute the migration using ./flow3
      doctrine:migrate

This is much more understandable, and less error-prone, especially to new users.

Change-Id: Id0bf4c04c283c22f65e665f2ea631f55b3d50fc2
Fixes: #32663
Releases: 1.1

History
#1 - 2011-12-18 14:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7361

#2 - 2011-12-20 12:07 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f0d37738c2f0ddfbb709a54cae8633ba19a6ea0a.

#3 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
